%define major 1

%define suse           %(if [ -f /etc/SuSE-release ]; then echo 1; else echo 0; fi)

%if %suse
%define suse_version    %(grep VERSION /etc/SuSE-release|cut -f3 -d" ")
%define suse_vernum     %(echo "%suse_version"|tr -d '.')
%define release         %{major}.jcolson.suse%{suse_vernum}
%define distribution    SuSE Linux %suse_version
%else
%define release         1.jcolson
%endif

%define name    perl-Cache-Cache
%define version 1.02
%define programname %name
%define libname %name


Name:         %name
Version:      %version
Release:      %release
Provides:     perl_cache
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic License
Summary:      The Cache modules are designed to assist a developer in persisting data for a specified period of time.
Source:       Cache-Cache-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Distribution:  %distribution (i586)


%description
The Cache modules are designed to assist a developer in persisting data for a specified period of time. 

Authors:
--------
    Stephen Zander <gibreel@pobox.com>

%prep
%setup -n Cache-Cache-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}/*
%doc %{_mandir}/man3/*.gz
/var/adm/perl-modules/%name
%doc MANIFEST README

%changelog -n %name
* Mon Jan 17 2005 - illuusio@lycos.com
- Updated to SuSE 9.2
