%define major 1
%define __find_provides /usr/lib/rpm/perl.prov
%define __find_requires /usr/lib/rpm/perl.req

%define suse           %(if [ -f /etc/SuSE-release ]; then echo 1; else echo 0; fi)

%if %suse
%define suse_version    %(grep VERSION /etc/SuSE-release|cut -f3 -d" ")
%define suse_vernum     %(echo "%suse_version"|tr -d '.')
%define release         %{major}.jcolson.suse%{suse_vernum}
%define distribution    SuSE Linux %suse_version
%else
%define release         1.jcolson
%endif

%define real_name	Class-Container
%define name    perl-%{real_name}
%define version 0.12
%define programname %name
%define libname %name


Name:         %name
Version:      %version
Release:      %release
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Perl
Summary:      Glues object frameworks together transparently
Source:       http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{real_name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build


%description
This class facilitates building frameworks of several classes that
inter-operate. It was first designed and built for HTML::Mason, in which the
Compiler, Lexer, Interpreter, Resolver, Component, Buffer, and several other
objects must create each other transparently, passing the appropriate
parameters to the right class, possibly substituting other subclasses for any
of these objects.


%prep
%setup -n %{real_name}-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}/*
%doc %{_mandir}/man3/*.gz
/var/adm/perl-modules/%name
%doc MANIFEST

%changelog -n %name
* Wed Mar 30 2006 - jcolson@voidgate.org
- attempt to autogenerate perl deps

* Wed Mar 29 2006 - jcolson@voidgate.org
- created initial spec file.
