%define module	DBIx-SearchBuilder
%define name	perl-%{module}
%define version 1.40
%define release 1

%define __find_provides /usr/lib/rpm/perl.prov

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Database-independent schema objects
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Encapsulate SQL queries and rows in simple perl object
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Requires:       perl(Cache::Simple::TimedExpiry)
Requires:       perl(Carp)
Requires:       perl(Class::ReturnValue)
Requires:       perl(Clone)
Requires:       perl(DBI)
Requires:       perl(DBIx::DBSchema)
Requires:       perl(DBIx::SearchBuilder::Handle)
Requires:       perl(DBIx::SearchBuilder::Handle::mysql)
Requires:       perl(DBIx::SearchBuilder::Record)
Requires:       perl(Encode)
Requires:       perl(Want)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module provides an object-oriented mechanism for retrieving and updating
data in a DBI-accesible database.

In order to use this module, you should create a subclass of
DBIx::SearchBuilder and a subclass of DBIx::SearchBuilder::Record for each
table that you wish to access. (See the documentation of
DBIx::SearchBuilder::Record for more information on subclassing it.)

Your DBIx::SearchBuilder subclass must override NewItem, and probably should
override at least _Init also; at the very least, _Init should probably call
_Handle and _Table to set the database handle (a DBIx::SearchBuilder::Handle
object) and table name for the class. You can try to override just about
every other method here, as long as you think you know what you are doing.

%prep
%setup -q -n %{module}-%{version}
find -name \*.pm | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/DBIx
%{_mandir}/*/*

%changelog
* Wed Mar 29 2006 Joshua Colson <jcolson@voidgate.org>
- updated for SuSE 10.0

* Sun Mar 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-1mdk
- New release 1.40

* Fri Mar 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.39-1mdk
- New release 1.39
- spec cleanup

* Mon Jan 23 2006 Michael Scherer <misc@mandriva.org> 1.38-2mdk
- add missing buildRequires

* Wed Jan 04 2006 Michael Scherer <misc@mandriva.org> 1.38-1mdk
- New release 1.38

* Fri Dec 30 2005 Michael Scherer <misc@mandriva.org> 1.36-3mdk
- Do not ship empty dir

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 1.36-2mdk
- fix BuildRequires

* Wed Dec 07 2005 Michael Scherer <misc@mandriva.org> 1.36-1mdk
- New release 1.36

* Tue Nov 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.35-1mdk
- 1.35

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.33-2mdk
- do not requires perl-DBD-Oracle

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.33-1mdk
- First mandriva package
