%define major 1

%define suse           %(if [ -f /etc/SuSE-release ]; then echo 1; else echo 0; fi)

%if %suse
%define suse_version    %(grep VERSION /etc/SuSE-release|cut -f3 -d" ")
%define suse_vernum     %(echo "%suse_version"|tr -d '.')
%define release         %{major}.jcolson.suse%{suse_vernum}
%define distribution    SuSE Linux %suse_version
%else
%define release         1.jcolson
%endif

%define real_name	Devel-StackTrace
%define name    perl-%{real_name}
%define version 1.12
%define programname %name
%define libname %name


Name:         %name
Version:      %version
Release:      %release
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Perl
Summary:      Stack trace and stack trace frame objects
Source:       http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{real_name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build


%description
The Devel::StackTrace module contains two classes, Devel::StackTrace and Devel::StackTraceFrame. The goal of this object is to encapsulate the information that can found through using the caller() function, as well as providing a simple interface to this data.


%prep
%setup -n %{real_name}-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}/*
%doc %{_mandir}/man3/*.gz
/var/adm/perl-modules/%name
%doc MANIFEST README

%changelog -n %name
* Wed Mar 29 2006 - jcolson@voidgate.org
- created initial spec file.
