%define major 2
%define __find_provides /usr/lib/rpm/perl.prov

%define suse           %(if [ -f /etc/SuSE-release ]; then echo 1; else echo 0; fi)

%if %suse
%define suse_version    %(grep VERSION /etc/SuSE-release|cut -f3 -d" ")
%define suse_vernum     %(echo "%suse_version"|tr -d '.')
%define release         %{major}.jcolson.suse%{suse_vernum}
%define distribution    SuSE Linux %suse_version
%else
%define release         1.jcolson
%endif

%define real_name	HTML-Mason
%define name    perl-%{real_name}
%define version 1.32
%define programname %name
%define libname %name


Name:         %name
Version:      %version
Release:      %release
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Perl
Summary:      High-performance, dynamic web site authoring system
Requires:     perl(CGI) perl(Class::Container) perl(Cwd) perl(Data::Dumper) perl(Exception::Class) perl(Exporter) perl(File::Basename) perl(File::Glob) perl(File::Path) perl(File::Spec) perl(File::Temp) perl(Getopt::Long) perl(Params::Validate) perl(Test::Builder)
Source:       http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{real_name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build


%description
Mason is a tool for building, serving and managing large web sites. Its
features make it an ideal backend for high load sites serving dynamic content,
such as online newspapers or database driven e-commerce sites. Actually,
Mason can be used to generate any sort of text, whether for a web site or not.
But it was originally built for web sites and since that's why most people are
interested in it, that is the focus of this documentation.


%prep
%setup -n %{real_name}-%{version}
# ---------------------------------------------------------------------------

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" destdir=$RPM_BUILD_ROOT
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
%{__make} install
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}/*
%doc %{_mandir}/man3/*.gz
%doc MANIFEST

%changelog -n %name
* Wed Mar 30 2006 - jcolson@voidgate.org
- attempt to autogenerate perl deps

* Wed Mar 29 2006 - jcolson@voidgate.org
- created initial spec file.
