%define major 1

%define suse           %(if [ -f /etc/SuSE-release ]; then echo 1; else echo 0; fi)

%if %suse
%define suse_version    %(grep VERSION /etc/SuSE-release|cut -f3 -d" ")
%define suse_vernum     %(echo "%suse_version"|tr -d '.')
%define release         %{major}.jcolson.suse%{suse_vernum}
%define distribution    SuSE Linux %suse_version
%else
%define release         1.jcolson
%endif

%define real_name	IPC-ShareLite
%define name    perl-%{real_name}
%define version 0.09
%define programname %name
%define libname %name


Name:         %name
Version:      %version
Release:      %release
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic License
Summary:      Light-weight interface to shared memory
Source:       http://search.cpan.org/CPAN/authors/id/M/MA/MAURICE/%{real_name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build


%description
IPC::ShareLite provides a simple interface to shared memory,
allowing data to be efficiently communicated between processes. 
Your operating system must support SysV IPC (shared memory and 
semaphores) in order to use this module.


%prep
%setup -n %{real_name}-%{version}
# ---------------------------------------------------------------------------

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
    INSTALLDIRS="vendor" << 'EOF'



y




EOF
%{__make} %{?_smp_mflags} \
    OPTIMIZE="%{optflags}"
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}/*
%doc %{_mandir}/man3/*.gz
/var/adm/perl-modules/%name
%doc MANIFEST README

%changelog -n %name
* Wed Mar 29 2006 - jcolson@voidgate.org
- initial spec file created.
