%define major 1
%define __find_provides /usr/lib/rpm/perl.prov
%define __find_requires /usr/lib/rpm/perl.req

%define suse           %(if [ -f /etc/SuSE-release ]; then echo 1; else echo 0; fi)

%if %suse
%define suse_version    %(grep VERSION /etc/SuSE-release|cut -f3 -d" ")
%define suse_vernum     %(echo "%suse_version"|tr -d '.')
%define release         %{major}.jcolson.suse%{suse_vernum}
%define distribution    SuSE Linux %suse_version
%else
%define release         1.jcolson
%endif

%define real_name	XML-RSS
%define name    perl-%{real_name}
%define version 1.10
%define programname %name
%define libname %name


Name:         %name
Version:      %version
Release:      %release
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Perl
Summary:      creates and updates RSS files
Source:       http://search.cpan.org/CPAN/authors/id/A/AB/ABH/%{real_name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build


%description
This module provides a basic framework for creating and maintaining RDF Site Summary (RSS) files. This distribution also contains many examples that allow you to generate HTML from an RSS, convert between 0.9, 0.91, and 1.0 version, and other nifty things. This might be helpful if you want to include news feeds on your Web site from sources like Slashot and Freshmeat or if you want to syndicate your own content.


%prep
%setup -n %{real_name}-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%{perl_vendorlib}/*
%doc %{_mandir}/man3/*.gz
/var/adm/perl-modules/%name
%doc MANIFEST

%changelog -n %name
* Wed Mar 30 2006 - jcolson@voidgate.org
- attempt to autogenerate perl deps

* Wed Mar 29 2006 - jcolson@voidgate.org
- created initial spec file.
